Search Results for

Show / Hide Table of Contents

# Interface ITextValidateProvider

TextValidateField Providers Interface. All TextValidateField are created with a ITextValidateProvider.

###### Namespace: Terminal.Gui.TextValidateProviders

###### Assembly: Terminal.Gui.dll

##### Syntax

    public interface ITextValidateProvider

### Properties

#### DisplayText

Gets the formatted string for display.

##### Declaration

    ustring DisplayText { get; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### Fixed

Set that this provider uses a fixed width. e.g. Masked ones are fixed.

##### Declaration

    bool Fixed { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### IsValid

True if the input is valid, otherwise false.

##### Declaration

    bool IsValid { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### Text

Set the input text and get the current value.

##### Declaration

    ustring Text { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

### Methods

#### Cursor(Int32)

Set Cursor position to `pos`.

##### Declaration

    int Cursor(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Int32 | Return first valid position.

#### CursorEnd()

Find the last valid character position.

##### Declaration

    int CursorEnd()

##### Returns

Type | Description
--- | ---
System.Int32 | New cursor position.

#### CursorLeft(Int32)

First valid position before `pos`.

##### Declaration

    int CursorLeft(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Int32 | New cursor position if any, otherwise returns `pos`

#### CursorRight(Int32)

First valid position after `pos`.

##### Declaration

    int CursorRight(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos | Current position.

##### Returns

Type | Description
--- | ---
System.Int32 | New cursor position if any, otherwise returns `pos`

#### CursorStart()

Find the first valid character position.

##### Declaration

    int CursorStart()

##### Returns

Type | Description
--- | ---
System.Int32 | New cursor position.

#### Delete(Int32)

Deletes the current character in `pos`.

##### Declaration

    bool Delete(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Boolean | true if the character was successfully removed, otherwise false.

#### InsertAt(Char, Int32)

Insert character `ch` in position `pos`.

##### Declaration

    bool InsertAt(char ch, int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Char | ch |
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Boolean | true if the character was successfully inserted, otherwise false.